Subject: New Reply Received - I am currently facing the worst customer service I have experienced in a long time. I ordered purebo...
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 28 Sep 2020 04:34:30 +0000

Hi Ezzaldeen Mahyoub,  The customer has responded to the ticket.  I am currently facing the worst customer service I have experienced in a long time. I ordered purebo...  Ticket comment <div>Even if you ask me go dubai mall they said even if it s same product they cannot take it barcode is different! I am a customer and you send me there and now you send me back home upset 37 weeks pregnant because the barcode is different.</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1525458